Overview

The EntityClub endpoint returns detailed information about a club stored in the KoraStats database. The response includes:
  • Club identity
  • Country
  • Club logo
  • National federation indicator
  • All teams belonging to the club
Each team object may include:
  • Team name
  • Stadium
  • Coach
  • Gender category
  • National team indicator
  • Team image

Typical use cases

  • Display club profile pages
  • Retrieve teams associated with a club
  • Load club metadata for competitions
  • Retrieve club logo assets
GET /api.php

Parameters

module
string
Always use api
api
string
Always use EntityClub
version
string
API version. Example: V2
response
string
Response format. Always use json
lang
string
Language of the response. Example: en
club_id
integer
required
Unique identifier of the club.

Example Request

    curl --request GET \
    --url "https://korastats.pro/pro/api.php?module=api&api=EntityClub&version=V2&response=json&lang=en&club_id=5"
{
  "type": "object",
  "properties": {
    "root": {
      "type": "object",
      "properties": {
        "result": {
          "type": "boolean",
          "description": "Indicates whether the request was successful."
        },
        "title": {
          "type": "string",
          "description": "Short response title."
        },
        "message": {
          "type": "string",
          "description": "Human-readable message describing the result."
        },
        "object": {
          "type": "object",
          "properties": {
            "_type": {
              "type": "string",
              "description": "Object type identifier."
            },
            "id": {
              "type": "integer",
              "description": "Club ID."
            },
            "name": {
              "type": "string",
              "description": "Club name."
            },
            "country": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Country ID."
                },
                "name": {
                  "type": "string",
                  "description": "Country name."
                }
              }
            },
            "national_federation": {
              "type": "boolean",
              "description": "Indicates whether the club represents a national federation."
            },
            "logo": {
              "type": "string",
              "description": "URL of the club logo."
            },
            "teams": {
              "type": "array",
              "description": "List of teams belonging to the club.",
              "items": {
                "type": "object",
                "properties": {
                  "_type": {
                    "type": "string"
                  },
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "stadium": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "integer"
                      },
                      "name": {
                        "type": "string"
                      }
                    }
                  },
                  "coach": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "integer"
                      },
                      "name": {
                        "type": "string"
                      }
                    }
                  },
                  "gender": {
                    "type": "string"
                  },
                  "is_national_team": {
                    "type": "boolean"
                  },
                  "image": {
                    "type": "string",
                    "description": "Team image or club logo."
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}